/* $Header: /home/yav/catty/xpx/xpx/RCS/config.h,v 1.4 1994/11/03 11:52:26 yav Exp $
 */

#ifndef XPX_CONFIG_H
#define XPX_CONFIG_H

/* Need function prototype declaration? */
#ifdef __STDC__
#define FUNCPROTO
#endif

#ifndef NeedFunctionPrototypes
#if defined(FUNCPROTO) || defined(__STDC__)
#define NeedFunctionPrototypes 1
#else
#define NeedFunctionPrototypes 0
#endif /* __STDC__ */
#endif /* NeedFunctionPrototypes */

/* use BSD directory access library or fork ls ? */
#ifndef BSD
#define FORK_LS
#endif

/* Is exist /usr/include/strings.h or /usr/include/string.h ? */
#ifdef BSD
#define HAVE_STRINGS_H
#else
#define HAVE_STRING_H
#endif

/* Is exist /usr/include/stdarg.h ? */
#ifdef __STDC__
#define HAVE_STDARG_H
#endif

/* Is exist /usr/include/varargs.h ? */
#ifdef BSD
#define HAVE_VARARGS_H
#endif

/* index, rindex library exist? */
#ifndef BSD
#define index strchr
#define rindex strrchr
#define bzero(str,len) memset(str,0,len)
#define bcopy(src,dst,len) memcpy(dst,src,len)
#define bcmp(src,dst,len) memcmp(src,dst,len)
#endif

#endif /* XPX_CONFIG_H */

/* End of file */
