/* $Header: /home/yav/catty/xpx/xpx/RCS/cursor.c,v 1.15 1995/01/07 17:55:27 yav Exp $
 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdio.h>

#include "xpx.h"
#include "extern.h"
#include "cursdef.h"

#define CURSW	32
#define CURSH	18

static char rcs_id[] = "$Id: cursor.c,v 1.15 1995/01/07 17:55:27 yav Exp $";

char *curs_strfunc(p)
     MENU *p;
{
  int i;
  
  switch(p->n) {
  case CURS_TOPX:
    i = imgofsx/zoomfactor;
    break;
  case CURS_TOPY:
    i = imgofsy/zoomfactor;
    break;
  case CURS_CURX:
    i = curx;
    break;
  case CURS_CURY:
    i = cury;
    break;
  case CURS_CURC:
    i = current_col;
    break;
  }
  sprintf(p->str, "%d", i);
  return p->str;
}

MENU cursmenu[] = {
  {
    CURS_TOPX,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_TOPX, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_TOPY,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_TOPY, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_CURX,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_CURX, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_CURY,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_CURY, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_CURC,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_CURC, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    -1,	0,
    0, 0, 0, 0,
    0, 0, 0,
    NULL, NULL, 0, 0, NULL}};

create_cursor_window(win, x, y)
     Window win;
{
  topmenuwin_create(cursmenu, x, y);
}

/* End of file */
